Name:		vinagre
Version:	0.5.1
Release:	1%{?dist}
Summary:	VNC client for the GNOME desktop

Group:		Applications/System
License:	GPLv2+
URL:		http://www.gnome.org/~jwendell/vinagre/
Source0:	http://download.gnome.org/sources/vinagre/0.5/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk-vnc-devel >= 0.3.3
BuildRequires:	glib2-devel >= 2.15.3
BuildRequires:	gtk2-devel >= 2.12.0
BuildRequires:	GConf2-devel >= 2.16.0
BuildRequires:	avahi-ui-devel >= 0.6.18
# Missing package dependency, see:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=253734
BuildRequires:	avahi-glib-devel >= 0.6.18
BuildRequires:	libglade2-devel >= 2.6.0
BuildRequires:	perl(XML::Parser) gettext intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-keyring-devel
BuildRequires:	gnome-doc-utils

%description
Vinagre is a VNC client for the GNOME desktop environment.

%prep
%setup -q

%build
%configure --enable-avahi=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

# Remove text files installed by vinagre, we install them in a versioned
# directory in the files section
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/vinagre/

desktop-file-install 						\
	--remove-category=Application				\
	--add-category=GTK					\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/vinagre.desktop

%find_lang vinagre --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vinagre.schemas > /dev/null || :
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%pre
if [ "$1" -gt 1 -a -f %{_sysconfdir}/gconf/schemas/vinagre.schemas ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vinagre.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vinagre.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%files -f vinagre.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/vinagre.schemas
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/vinagre-mime.xml
%{_datadir}/%{name}/
%doc %{_mandir}/man1/vinagre.1.gz
%doc README NEWS COPYING AUTHORS

%changelog
* Mon Apr  7 2008 Matthias Clasen <mclasen@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Mon Mar 10 2008 Matthias Clasen <mclasen@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Mon Feb 25 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.92-1
- Update to 0.4.92

* Mon Feb 18 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.91-2
- Spec file fixes

* Tue Feb 12 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.91-1
- Update to 0.4.91

* Tue Jan 29 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.90-1
- Update to 0.4.90

* Thu Dec 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-1
- Update to 0.4 and drop obsolete patches

* Fri Nov 23 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-3
- Fix crasher when passing broken options on the command-line (#394671)

* Thu Oct 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-2
- Fix crasher when setting a favourite with no password (#352371)

* Mon Sep 24 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-1
- Update to 0.3

* Wed Aug 22 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-1
- First version
- Fix plenty of comments from Ray Strode as per review
- Have work-around for BZ #253734

